Subject: Re: bug#30747: Emacs lacks a command to horizontally recenter

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Jun 2021 15:58:56 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 26 Jun 2021 14:49:17 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Since lines are generally not all of the same width, such horizontal
> > scrolling can only guarantee to center one line, and sometimes cannot
> > center it at all (if it's narrower than the window).  I wonder whether
> > the OP indeed understands what he will get as result of implementing
> > this feature.
> 
> The centring would be based on the current line, yes.

So when one goes one line up or down, one would need to recenter?

>                                                        But horizontal
> centring is mostly useful when you have a display that's much wider than
> your window width, which can happen i deeply nested threads in Gnus, for
> instance.

Doesn't auto-hscroll-mode = current-line take care of that?